/**
 * A helper class for calculating and verifying SHA256 signatures
 */
export declare class SHA256Calculator {
    calculateSignature(data: ArrayBuffer): ArrayBuffer;
    /**
     * Compare two signatures for equality.  The comparison only
     * occurs for the length of sig1, so if sig1 is a truncated version
     * of sig2, the comparison will return true.
     *
     * @param sig1 The signature to check against sig2
     * @param sig2 The (possibly extended) signature to compare sig1 against
     * @return true if sig1 is a prefix of sig2, false otherwise
     */
    compareSignatures(sig1: ArrayBuffer, sig2: ArrayBuffer): boolean;
}
